From 740a7f3463ac694a21ea6379878d5b8893904b4d Mon Sep 17 00:00:00 2001
From: Christian Hergert <chergert@redhat.com>
Date: Wed, 13 Nov 2024 15:53:12 -0800
Subject: [PATCH 29/33] sysprofd: remove unused code

---
 src/sysprofd/ipc-unwinder-impl.c | 7 -------
 1 file changed, 7 deletions(-)

diff --git a/src/sysprofd/ipc-unwinder-impl.c b/src/sysprofd/ipc-unwinder-impl.c
index e6a0d7ab..2290377b 100644
--- a/src/sysprofd/ipc-unwinder-impl.c
+++ b/src/sysprofd/ipc-unwinder-impl.c
@@ -27,7 +27,6 @@
 #include <fcntl.h>
 
 #include <signal.h>
-#include <sys/prctl.h>
 #include <sys/socket.h>
 
 #include <glib/gstdio.h>
@@ -41,12 +40,6 @@ struct _IpcUnwinderImpl
   IpcUnwinderSkeleton parent_instance;
 };
 
-static void
-child_setup (gpointer data)
-{
-  prctl (PR_SET_PDEATHSIG, SIGKILL);
-}
-
 static void
 ipc_unwinder_impl_wait_cb (GObject      *object,
                            GAsyncResult *result,
-- 
2.45.2

